<?xml version="1.0" encoding="UTF-8"?>
<testsuites name="login" time="16.254" tests="2" failures="0" errors="0">
   <testsuite name="login" tests="2" failures="0" errors="0" time="16.254" skipped="0" timestamp="2023-06-27 15:46:41" hostname="Asus - Reza-Cogan" id="Test Suites/login">
      <properties>
         <property name="deviceName" value=""/>
         <property name="devicePlatform" value=""/>
         <property name="logFolder" value="C:\\Users\\Asus\\git\\katalondatadrivenboos1\\Reports\\20230627_154637\\login\\20230627_154637"/>
         <property name="logFiles" value="C:\\Users\\Asus\\git\\katalondatadrivenboos1\\Reports\\20230627_154637\\login\\20230627_154637\\execution0.log"/>
         <property name="attachments" value=""/>
         <property name="hostName" value="Asus - Reza-Cogan"/>
         <property name="os" value="Windows 10 64bit"/>
         <property name="katalonVersion" value="8.6.5.208"/>
         <property name="browser" value="Chrome 114.0.0.0"/>
         <property name="hostAddress" value="192.168.33.20"/>
         <property name="sessionId" value="79504c607541c1def8276ecfd75a8b14"/>
         <property name="seleniumVersion" value="3.141.59"/>
         <property name="proxyInformation" value="ProxyInformation { proxyOption=NO_PROXY, proxyServerType=HTTP, username=, password=********, proxyServerAddress=, proxyServerPort=0, executionList=&quot;&quot;, isApplyToDesiredCapabilities=true }"/>
         <property name="platform" value="Windows 10"/>
      </properties>
      <testcase name="Test Cases/loginValidInput" time="9.954" classname="Test Cases/loginValidInput" status="PASSED">
         <system-out><![CDATA[2023-06-27 15:46:42 - [TEST_CASE][PASSED] - Test Cases/loginValidInput: Test Cases/loginValidInput

2023-06-27 15:46:43 - [TEST_STEP][PASSED] - openBrowser(url): Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 15:46:44 - [MESSAGE][INFO] - Starting 'Chrome' driver

2023-06-27 15:46:44 - [MESSAGE][INFO] - Action delay is set to 0 milliseconds

2023-06-27 15:46:47 - [MESSAGE][PASSED] - Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 15:46:47 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/username"), username): Text 'standard_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 15:46:48 - [MESSAGE][PASSED] - Text 'standard_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 15:46:48 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/password"), password): Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 15:46:49 - [MESSAGE][PASSED] - Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 15:46:49 - [TEST_STEP][PASSED] - click(findTestObject("loginPage/sauceLabs/loginButton")): Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 15:46:52 - [MESSAGE][PASSED] - Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 15:46:52 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("loginPage/sauceLabs/pageSwagLabs")): Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 15:46:52 - [MESSAGE][PASSED] - Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <testcase name="Test Cases/loginValidInput" time="5.525" classname="Test Cases/loginValidInput" status="PASSED">
         <system-out><![CDATA[2023-06-27 15:46:52 - [TEST_CASE][PASSED] - Test Cases/loginValidInput: Test Cases/loginValidInput

2023-06-27 15:46:52 - [TEST_STEP][PASSED] - openBrowser(url): Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 15:46:52 - [MESSAGE][WARNING] - A browser is already opened. Closing browser and opening a new one

2023-06-27 15:46:53 - [MESSAGE][INFO] - Starting 'Chrome' driver

2023-06-27 15:46:53 - [MESSAGE][INFO] - Action delay is set to 0 milliseconds

2023-06-27 15:46:55 - [MESSAGE][PASSED] - Browser is opened with url: 'https://www.saucedemo.com/'

2023-06-27 15:46:55 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/username"), username): Text 'problem_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 15:46:56 - [MESSAGE][PASSED] - Text 'problem_user' is set on object 'Object Repository/loginPage/sauceLabs/username'

2023-06-27 15:46:56 - [TEST_STEP][PASSED] - setText(findTestObject("loginPage/sauceLabs/password"), password): Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 15:46:57 - [MESSAGE][PASSED] - Text 'secret_sauce' is set on object 'Object Repository/loginPage/sauceLabs/password'

2023-06-27 15:46:57 - [TEST_STEP][PASSED] - click(findTestObject("loginPage/sauceLabs/loginButton")): Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 15:46:57 - [MESSAGE][PASSED] - Object: 'Object Repository/loginPage/sauceLabs/loginButton' is clicked on

2023-06-27 15:46:57 - [TEST_STEP][PASSED] - verifyElementVisible(findTestObject("loginPage/sauceLabs/pageSwagLabs")): Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible

2023-06-27 15:46:58 - [MESSAGE][PASSED] - Object 'Object Repository/loginPage/sauceLabs/pageSwagLabs' is visible]]></system-out>
         <system-err><![CDATA[]]></system-err>
      </testcase>
      <system-out><![CDATA[2023-06-27 15:46:41 - [TEST_SUITE][PASSED] - login: Test Cases/loginValidInput]]></system-out>
      <system-err><![CDATA[]]></system-err>
   </testsuite>
</testsuites>
